Package sop.operation

# Interface Dearmor

public interface Dearmor

## Method Summary

Modifier and Type
Method
Description
`default Ready`
`data(byte[] data)`
Dearmor armored OpenPGP data.
`Ready`
`data(InputStream data)`
Dearmor armored OpenPGP data.
`default Ready`
`data(String data)`
Dearmor amored OpenPGP data.

## Method Details

### data

Ready data(InputStream data) throws SOPGPException.BadData, IOException
Dearmor armored OpenPGP data.

Parameters:
  `data` - armored OpenPGP data
Returns:
  input stream of unarmored data
Throws:
  `SOPGPException.BadData` - in case of non-OpenPGP data
  `IOException` - in case of an IO error

### data

default Ready data(byte[] data) throws SOPGPException.BadData, IOException
Dearmor armored OpenPGP data.

Parameters:
  `data` - armored OpenPGP data
Returns:
  input stream of unarmored data
Throws:
  `SOPGPException.BadData` - in case of non-OpenPGP data
  `IOException` - in case of an IO error

### data

default Ready data(String data) throws SOPGPException.BadData, IOException
Dearmor amored OpenPGP data.

Parameters:
  `data` - armored OpenPGP data
Returns:
  input stream of unarmored data
Throws:
  `SOPGPException.BadData` - in case of non-OpenPGP data
  `IOException` - in case of an IO error